<?xml version="1.0" encoding="utf-8"?>
<androidx.core.widget.NestedScrollView xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:orientation="vertical">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginHorizontal="@dimen/dp_20"
            android:background="@drawable/bg_solid_layout_white_radius_10"
            android:gravity="center_vertical"
            android:orientation="horizontal"
            android:paddingHorizontal="@dimen/dp_10"
            android:paddingVertical="@dimen/dp_15">

            <TextView
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:text="已使用"
                android:textColor="@color/mainTextColor"
                android:textSize="@dimen/sp_14" />

            <TextView
                android:id="@+id/deviceUsedTimeView"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:textColor="@color/mainTextColor"
                android:textSize="@dimen/sp_14" />
        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginHorizontal="@dimen/dp_20"
            android:layout_marginTop="@dimen/dp_10"
            android:background="@drawable/bg_solid_layout_white_radius_10"
            android:gravity="center_vertical"
            android:orientation="horizontal"
            android:paddingHorizontal="@dimen/dp_10"
            android:paddingVertical="@dimen/dp_15">

            <TextView
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:text="运行状态"
                android:textColor="@color/mainTextColor"
                android:textSize="@dimen/sp_14" />

            <TextView
                android:id="@+id/deviceStateView"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="关"
                android:textColor="@color/mainTextColor"
                android:textSize="@dimen/sp_14" />
        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginHorizontal="@dimen/dp_20"
            android:layout_marginTop="@dimen/dp_10"
            android:background="@drawable/bg_solid_layout_white_radius_10"
            android:gravity="center_vertical"
            android:orientation="horizontal"
            android:paddingHorizontal="@dimen/dp_10"
            android:paddingVertical="@dimen/dp_15">

            <TextView
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:text="卫浴当前温度"
                android:textColor="@color/mainTextColor"
                android:textSize="@dimen/sp_14" />

            <TextView
                android:id="@+id/showerTempView"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="0"
                android:textColor="@color/mainTextColor"
                android:textSize="@dimen/sp_14" />
        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginHorizontal="@dimen/dp_20"
            android:layout_marginTop="@dimen/dp_10"
            android:background="@drawable/bg_solid_layout_white_radius_10"
            android:gravity="center_vertical"
            android:orientation="horizontal"
            android:paddingHorizontal="@dimen/dp_10"
            android:paddingVertical="@dimen/dp_15">

            <TextView
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:text="供暖当前温度"
                android:textColor="@color/mainTextColor"
                android:textSize="@dimen/sp_14" />

            <TextView
                android:id="@+id/heaterTempView"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="0"
                android:textColor="@color/mainTextColor"
                android:textSize="@dimen/sp_14" />
        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginHorizontal="@dimen/dp_20"
            android:layout_marginTop="@dimen/dp_10"
            android:background="@drawable/bg_solid_layout_white_radius_10"
            android:gravity="center_vertical"
            android:orientation="horizontal"
            android:paddingHorizontal="@dimen/dp_10"
            android:paddingVertical="@dimen/dp_15">

            <TextView
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:text="供暖"
                android:textColor="@color/mainTextColor"
                android:textSize="@dimen/sp_14" />

            <TextView
                android:id="@+id/heaterStateView"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="关闭"
                android:textColor="@color/mainTextColor"
                android:textSize="@dimen/sp_14" />
        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginHorizontal="@dimen/dp_20"
            android:layout_marginTop="@dimen/dp_10"
            android:background="@drawable/bg_solid_layout_white_radius_10"
            android:gravity="center_vertical"
            android:orientation="horizontal"
            android:paddingHorizontal="@dimen/dp_10"
            android:paddingVertical="@dimen/dp_15">

            <TextView
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:text="卫浴"
                android:textColor="@color/mainTextColor"
                android:textSize="@dimen/sp_14" />

            <TextView
                android:id="@+id/showerStateView"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="关闭"
                android:textColor="@color/mainTextColor"
                android:textSize="@dimen/sp_14" />
        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginHorizontal="@dimen/dp_20"
            android:layout_marginTop="@dimen/dp_10"
            android:background="@drawable/bg_solid_layout_white_radius_10"
            android:gravity="center_vertical"
            android:orientation="horizontal"
            android:paddingHorizontal="@dimen/dp_10"
            android:paddingVertical="@dimen/dp_15">

            <TextView
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:text="防冻"
                android:textColor="@color/mainTextColor"
                android:textSize="@dimen/sp_14" />

            <TextView
                android:id="@+id/antifreezeStateView"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="关闭"
                android:textColor="@color/mainTextColor"
                android:textSize="@dimen/sp_14" />
        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginHorizontal="@dimen/dp_20"
            android:layout_marginTop="@dimen/dp_10"
            android:background="@drawable/bg_solid_layout_white_radius_10"
            android:gravity="center_vertical"
            android:orientation="horizontal"
            android:paddingHorizontal="@dimen/dp_10"
            android:paddingVertical="@dimen/dp_15">

            <TextView
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:text="风机"
                android:textColor="@color/mainTextColor"
                android:textSize="@dimen/sp_14" />

            <TextView
                android:id="@+id/ventilatorStateView"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="关闭"
                android:textColor="@color/mainTextColor"
                android:textSize="@dimen/sp_14" />
        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginHorizontal="@dimen/dp_20"
            android:layout_marginTop="@dimen/dp_10"
            android:background="@drawable/bg_solid_layout_white_radius_10"
            android:gravity="center_vertical"
            android:orientation="horizontal"
            android:paddingHorizontal="@dimen/dp_10"
            android:paddingVertical="@dimen/dp_15">

            <TextView
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:text="水泵"
                android:textColor="@color/mainTextColor"
                android:textSize="@dimen/sp_14" />

            <TextView
                android:id="@+id/pumpStateView"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="关闭"
                android:textColor="@color/mainTextColor"
                android:textSize="@dimen/sp_14" />
        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginHorizontal="@dimen/dp_20"
            android:layout_marginTop="@dimen/dp_10"
            android:background="@drawable/bg_solid_layout_white_radius_10"
            android:gravity="center_vertical"
            android:orientation="horizontal"
            android:paddingHorizontal="@dimen/dp_10"
            android:paddingVertical="@dimen/dp_15">

            <LinearLayout
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:orientation="vertical">

                <TextView
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginBottom="@dimen/dp_3"
                    android:text="Wi-Fi状态"
                    android:textColor="@color/mainTextColor"
                    android:textSize="@dimen/sp_14" />

                <TextView
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/dp_3"
                    android:text="状态显示页仅显示设备状态，不可控制设备"
                    android:textColor="@color/hintTextColor"
                    android:textSize="@dimen/sp_12" />
            </LinearLayout>

            <!--Wi-Fi开关不可控制-->
            <Switch
                android:id="@+id/wifiStatusSwitch"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:enabled="false"
                android:thumb="@drawable/select_switch_circle"
                android:track="@drawable/select_switch_background"
                tools:ignore="UseSwitchCompatOrMaterialXml" />
        </LinearLayout>

        <LinearLayout
            android:id="@+id/wifiLayout"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginHorizontal="@dimen/dp_20"
            android:layout_marginTop="@dimen/dp_10"
            android:background="@drawable/bg_solid_layout_white_radius_10"
            android:gravity="center_vertical"
            android:orientation="horizontal"
            android:paddingHorizontal="@dimen/dp_10"
            android:paddingVertical="@dimen/dp_15">

            <TextView
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:text="Wi-Fi名称"
                android:textColor="@color/mainTextColor"
                android:textSize="@dimen/sp_14" />

            <TextView
                android:id="@+id/wifiNameView"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:textColor="@color/mainTextColor"
                android:textSize="@dimen/sp_14" />
        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginHorizontal="@dimen/dp_20"
            android:layout_marginVertical="@dimen/dp_10"
            android:background="@drawable/bg_solid_layout_white_radius_10"
            android:gravity="center_vertical"
            android:orientation="horizontal"
            android:paddingHorizontal="@dimen/dp_10"
            android:paddingVertical="@dimen/dp_15">

            <TextView
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:text="IP地址"
                android:textColor="@color/mainTextColor"
                android:textSize="@dimen/sp_14" />

            <TextView
                android:id="@+id/ipAddressView"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:textColor="@color/mainTextColor"
                android:textSize="@dimen/sp_14" />
        </LinearLayout>
    </LinearLayout>
</androidx.core.widget.NestedScrollView>